Bug 443652 - Saving session on Krita quit spawns/updates a .ksn file in the home directory instead of updating the .ksn file in the sessions folder
Summary: Saving session on Krita quit spawns/updates a .ksn file in the home directory...
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Resource Management (show other bugs)
Version: 5.0.0-beta2
Platform: Appimage Linux
: NOR normal
Target Milestone: ---
Assignee: Tiar
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2021-10-13 01:39 UTC by tomtomtomreportingin
Modified: 2021-10-26 18:27 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tomtomtomreportingin 2021-10-13 01:39:28 UTC
STEPS TO REPRODUCE
1. Create a session in the session manager (File -> Sessions)
2. Enable "Save session on quit" in the settings though General -> Misc.
3. Close Krita.
4. Open the home directory and/or restart Krita.

Also occurs in krita-5.1.0-prealpha git 6a41c43 and in beta 1. It is a regression of Krita 5.

OBSERVED RESULT
The session hasn't been updated as the updated file points to the home directory instead of the sessions folder.

EXPECTED RESULT
The session should be updated properly.

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: Debian sid
KDE Plasma Version: 5.21.5
KDE Frameworks Version: 5.86.0
Qt Version: 5.12.11 (Appimage)
Comment 1 Tiar 2021-10-22 12:59:55 UTC
Git commit 72bacc59239f2a9c52751119e85e8c34491a99fb by Agata Cacko.
Committed on 22/10/2021 at 12:56.
Pushed by tymond into branch 'master'.

Fix session saving into a wrong place when closing Krita

Before this commit, if the user enabled "save session on closing Krita"
in Configure Krita -> General -> Misc, Krita would save it
in a working directory of the executable (usually the home directory,
but can be whatever directory Krita was started from).
This commit fixes it by ensuring it uses the new resource system
properly.

M  +3    -1    libs/ui/KisPart.cpp

https://invent.kde.org/graphics/krita/commit/72bacc59239f2a9c52751119e85e8c34491a99fb
Comment 2 Tiar 2021-10-26 18:27:36 UTC
Git commit 93965ce87dc5c7a5ad73a35d13b212a4d5ca1753 by Agata Cacko.
Committed on 26/10/2021 at 18:21.
Pushed by tymond into branch 'krita/5.0'.

Fix session saving into a wrong place when closing Krita

Before this commit, if the user enabled "save session on closing Krita"
in Configure Krita -> General -> Misc, Krita would save it
in a working directory of the executable (usually the home directory,
but can be whatever directory Krita was started from).
This commit fixes it by ensuring it uses the new resource system
properly.

M  +3    -1    libs/ui/KisPart.cpp

https://invent.kde.org/graphics/krita/commit/93965ce87dc5c7a5ad73a35d13b212a4d5ca1753